Subject: Re: bug#7278: 24.0.50; gail tooltip warning

From: Jan Djärv <[email-masked]>
Date: Tue, 26 Oct 2010 08:11:25 +0200

Daiki Ueno skrev 2010-10-25 11.26:
> If I start emacs with GTK+ accessibility support enabled, I get the
> following warnings:
>
>   ** Message: ATK_ROLE_TOOLTIP object found, but doesn't look like a tooltip.
>   ** Message: ATK_ROLE_TOOLTIP object found, but doesn't look like a tooltip.
>   ** Message: ATK_ROLE_TOOLTIP object found, but doesn't look like a tooltip.
>
> To reproduce, set GTK_MODULES=gail:atk-bridge, start emacs from a
> terminal, make sure x-gtk-use-system-tooltips is t, place the mouse
> pointer on a toolbar button, and wait a second.
>
> After quick search I found a similar issue in Pidgin (solved):
> http://developer.pidgin.im/ticket/2723
> I'm attaching a patch based on this.

I have set title to "" in another place.  Seems like a bug that ATK cares 
about the title, it can actually be useful to have titles on tooltips for 
debugging.

	Jan D.